## org.eclipse.emf.ecore.xmi.impl
Class ConfigurationCache

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.ConfigurationCache

    public class ConfigurationCache

extends java.lang.Object

This class represents a configuration that can be used to enable caching and therefore improves performance of EMF serialization. This class is considered an INTERNAL API and might change in the future.

Since:
  2.1.0

Field Summary
`protected int` `currentSize`
`protected java.util.Map<EPackage,EObject>` `documentRoots`
`protected XMLSaveImpl.Escape[]` `escapes`
`protected int` `freeEscapeIndex`
`protected int` `freePrinterIndex`
`static ConfigurationCache` `INSTANCE`
`protected XMLString[]` `printers`
`protected static int` `SIZE`

Constructor Summary
`protected` `ConfigurationCache()`

Method Summary
`EClass` `getDocumentRoot(EPackage ePackage)`
`protected XMLSaveImpl.Escape` `getEscape()`
`protected XMLString` `getPrinter()`
`void` `putDocumentRoot(EPackage ePackage, EClass documentRoot)`
`void` `release()`
`protected void` `releaseEscape(XMLSaveImpl.Escape escape)`
`protected void` `releasePrinter(XMLString printer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ConfigurationCache INSTANCE

### SIZE

    protected static final int SIZE

See Also:
  Constant Field Values

### documentRoots

    protected java.util.Map<EPackage,EObject> documentRoots

### printers

    protected XMLString[] printers

### escapes

    protected XMLSaveImpl.Escape[] escapes

### freePrinterIndex

    protected int freePrinterIndex

### freeEscapeIndex

    protected int freeEscapeIndex

### currentSize

    protected int currentSize

Constructor Detail

### ConfigurationCache

    protected ConfigurationCache()

Method Detail

### getPrinter

    protected XMLString getPrinter()

### releasePrinter

    protected void releasePrinter(XMLString printer)

### getEscape

    protected XMLSaveImpl.Escape getEscape()

### releaseEscape

    protected void releaseEscape(XMLSaveImpl.Escape escape)

### release

    public void release()

### getDocumentRoot

    public EClass getDocumentRoot(EPackage ePackage)

### putDocumentRoot

    public void putDocumentRoot(EPackage ePackage,
                                EClass documentRoot)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.